/*
 * globals.h
 *
 * Copyright 2019 Michael Rasmussen <mir@datanom.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

#ifndef __GLOBALS_H__
#define __GLOBALS_H__

#include <glib.h>

G_BEGIN_DECLS

typedef enum {
	VCARD_VERSION_UNSUPPORTED,
	VCARD_VERSION_DETECT,
	VCARD_VERSION_2_1,
	VCARD_VERSION_3_0,
	VCARD_VERSION_4_0,
} VCardVersion;

typedef struct _VCard VCard;

G_END_DECLS

#endif
